iOS Question Can No Longer Compile with GoogleMaps

Paul Leischow

Member
Licensed User
After upgrading to B4i 3.60, my projects which use Google Maps will no longer compile.
My iGoogleMaps version is 1.20 and I'm using the latest GoogleMapsExtra code from the forum.

If I try to compile to the Hosted Builder it says it compiles but nothing happens. Bridge app flashes then sits with blank screen.

Here is the last bit of the error log when trying to compile to my Local Builder v3.61...


id>/B4iProject/b4i_googlemapsextra.m -o /Users/vmmac/Desktop/b4i/UploadedProjects/<user id>/build/B4iProject.build/Release-iphoneos/B4iProject.build/Objects-normal/armv7/b4i_googlemapsextra.o
/Users/vmmac/Desktop/b4i/UploadedProjects/<user id>/B4iProject/b4i_googlemapsextra.m:5:9: fatal error: 'GoogleMaps/GoogleMaps.h' file not found
#import <GoogleMaps/GoogleMaps.h>
^
1 error generated.

Error: ** BUILD FAILED **

The following build commands failed:
CompileC build/B4iProject.build/Release-iphoneos/B4iProject.build/Objects-normal/armv7/b4i_googlemapsextra.o B4iProject/b4i_googlemapsextra.m normal armv7 objective-c com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)
 

Paul Leischow

Member
Licensed User
I have everything installed as indicated in your tutorial.
Like I said, it DID work and now after the 3.60 update it gives the error stated above.

I even tried reinstalling everything with no luck.
I used the GoogleMaps.bundle and GoogleMaps.framework from your tutorial and also tried the latest framework and bundle from Google.
Both give the same error.

I have OSX 10.11.6 running with XCode 7.3.1
My java version is 1.8.0_121

Since B4i is reporting it cannot find the file GoogleMaps.h', what is suppose to be supplying this missing file?
 
Upvote 0

Paul Leischow

Member
Licensed User
OK, I am now able to compile with the Host Builder so I know the code will compile.
I upgraded to xCode 8 but I am still having no luck on my Local Build Server.
Do you have a copy of the GoogleMaps.Framwork that is being used on the Host Builder that can be downloaded?
It must be either a problem with the version I am using or maybe the java version I am using?
If I remove the GoogleMapsExtra module from my project, the next compile error I get tells me it is trying to link the wrong version... it wants 8 and it is trying to compile v7
 
Upvote 0

Paul Leischow

Member
Licensed User
I'm sure this is what I downloaded and tried already but this time instead of downloading on my PC and copying over to my Mac, I downloaded on my Mac and unzipped it there.
Now everything is working again !!

This was very strange but we are back in business.
Thanks Erel.
 
Upvote 0
Top